Class Fox::FXInputDialog

In: | FXInputDialog.rb
Parent: | FXDialogBox

An FXInputDialog is a simple dialog which is used to obtain a text string, integer, or real number from the user. A "password" mode allows the key-in to remain hidden.

### Input dialog options

`INPUTDIALOG_STRING`: | Ask for a string
`INPUTDIALOG_INTEGER`: | Ask for an integer number
`INPUTDIALOG_REAL`: | Ask for a real number
`INPUTDIALOG_PASSWORD`: | Do not reveal key-in

Methods

getInteger getLimits getReal getString new setLimits

Attributes

numColumns | [RW] | Number of visible columns of text [Integer]
text | [RW] | Input string [String]

Public Class methods

new(owner, caption, label, ic=nil, opts=INPUTDIALOG_STRING, x=0, y=0, w=0, h=0) {|theInputDialog| ...}

Construct input dialog box with given caption, icon, and prompt text.

getString(initial, owner, caption, label, ic=nil)

Prompt the user for a string, with the text field initialized to the specified initial value. Return the input value if the user clicks OK, else return `nil`.

getInteger(initial, owner, caption, label, ic=nil, lo=1, hi=0)

Prompt the user for an integer number, starting from the specified initial value. Return the input value if the user clicks OK, else return `nil`. The input is constrained between lo and hi, unless lo > hi, in which case the input can be any number.

getReal(initial, owner, caption, label, ic=nil, lo=1.0, hi=0.0)

Prompt the user for a real number, starting from the specified initial value. Return the input value if the user clicks OK, else return `nil`. The input is constrained between lo and hi, unless lo > hi, in which case the input can be any number.

Public Instance methods

setLimits(lo, hi)

Change limits (where lo and hi are numbers).

getLimits()

Return limits (a two-element array of floats).